%global npmname fecha

Name:           nodejs-%{npmname}
Version:        4.2.0
Release:        1%{?dist}
Summary:        Lightweight and simple JS date formatting and parsing

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

Source0:        https://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz

BuildRequires:  nodejs-packaging

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Lightweight date formatting and parsing (~2KB). Meant to
replace parsing and formatting functionality of moment.js.

%prep
#autosetup -n %{npmname}-%{version}
%autosetup -n package

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a lib/ %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a dist/ %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

# The necessary tools to run the tests aren't available in Fedora;
# this seems to need typescript + nyc.

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md CHANGELOG.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 4.2.0-1
- Initial package for Fedora.
